# Queues Class Reference

`#include <Files.hh>`

List of all members.

## Public Member Functions
void | insertFifoMessage (NetworkMessage *msg)
| Insert a message to end FIFO list.
NetworkMessage * | giveFifoMessage (bool &, bool &)
| Give a FIFO message to federate.
void | insertTsoMessage (NetworkMessage *msg)
| TSO list is sorted by message logical time.
NetworkMessage * | giveTsoMessage (FederationTime heure_logique, bool &msg_donne, bool &msg_restant)
void | nextTsoDate (bool &trouve, FederationTime &heure_logique)
| Returns logical time from first message in TSO list.
void | insertBeginCommand (NetworkMessage *msg)
void | insertLastCommand (NetworkMessage *msg)
| Insert a message with a command at the end of command list.
NetworkMessage * | giveCommandMessage (bool &msg_donne, bool &msg_restant)
## Public Attributes
FederationManagement * | fm
DeclarationManagement * | dm
ObjectManagement * | om
## Private Member Functions
void | executeFederateService (NetworkMessage *)
## Private Attributes
std::list< NetworkMessage * > | fifos
| FIFO list.
std::list< NetworkMessage * > | tsos
| TSO list.
std::list< NetworkMessage * > | commands
| commands list.

## Detailed Description

Definition at line 42 of file Files.hh.

## Member Function Documentation

void insertFifoMessage | ( | NetworkMessage * | msg | ) |

Insert a message to end FIFO list.

Definition at line 158 of file Files.cc.

References Queues::fifos.

Referenced by RTIA::processNetworkMessage().

NetworkMessage * giveFifoMessage | ( | bool & | msg_donne,
|  | bool & | msg_restant |
| ) |  |  |

Give a FIFO message to federate.

Definition at line 79 of file Files.cc.

References Queues::fifos.

Referenced by TimeManagement::tick().

void insertTsoMessage | ( | NetworkMessage * | msg | ) |

TSO list is sorted by message logical time.

Definition at line 166 of file Files.cc.

References NetworkMessage::getDate(), and Queues::tsos.

Referenced by RTIA::processNetworkMessage().

Here is the call graph for this function:

NetworkMessage * giveTsoMessage | ( | FederationTime | heure_logique,
|  | bool & | msg_donne,
|  | bool & | msg_restant |
| ) |  |  |

'heure_logique' is the minimum value between current LBTS and current time

Definition at line 105 of file Files.cc.

References NetworkMessage::getDate(), and Queues::tsos.

Referenced by TimeManagement::nextEventAdvance(), and TimeManagement::timeAdvance().

Here is the call graph for this function:

void nextTsoDate | ( | bool & | trouve,
|  | FederationTime & | heure_logique |
| ) |  |  |

Returns logical time from first message in TSO list.

Definition at line 35 of file Files.cc.

References NetworkMessage::getDate(), and Queues::tsos.

Referenced by TimeManagement::nextEventAdvance(), and TimeManagement::requestMinNextEventTime().

Here is the call graph for this function:

void insertBeginCommand | ( | NetworkMessage * | msg | ) |

Insert a message with a command (ex: requestPause) to the beginning of command list.

Definition at line 142 of file Files.cc.

References Queues::commands.

Referenced by RTIA::processNetworkMessage().

void insertLastCommand | ( | NetworkMessage * | msg | ) |

Insert a message with a command at the end of command list.

Definition at line 150 of file Files.cc.

References Queues::commands.

Referenced by RTIA::processNetworkMessage().

NetworkMessage * giveCommandMessage | ( | bool & | msg_donne,
|  | bool & | msg_restant |
| ) |  |  |

Give all the commands to the federate (en invoquant les services "RTI Initiated" du federe).

Definition at line 55 of file Files.cc.

References Queues::commands.

Referenced by TimeManagement::tick().

void executeFederateService | ( | NetworkMessage * |  | ) | `[private]`

## Member Data Documentation

FederationManagement* fm

Definition at line 61 of file Files.hh.

Referenced by RTIA::RTIA().

DeclarationManagement* dm

Definition at line 62 of file Files.hh.

Referenced by RTIA::RTIA().

ObjectManagement* om

Definition at line 63 of file Files.hh.

std::list<NetworkMessage *> fifos`[private]`

FIFO list.

Definition at line 67 of file Files.hh.

Referenced by Queues::giveFifoMessage(), and Queues::insertFifoMessage().

std::list<NetworkMessage *> tsos`[private]`

TSO list.

Definition at line 68 of file Files.hh.

Referenced by Queues::giveTsoMessage(), Queues::insertTsoMessage(), and Queues::nextTsoDate().

std::list<NetworkMessage *> commands`[private]`

commands list.

Definition at line 69 of file Files.hh.

Referenced by Queues::giveCommandMessage(), Queues::insertBeginCommand(), and Queues::insertLastCommand().

The documentation for this class was generated from the following files:

- Files.hh
- Files.cc